 <!-- begin snimace.php -->
 
<script type="text/javascript">

 $(document).ready(function() {
   var mapa=$("#bld option:selected").attr("title")+"_"+$("#flr").val(); 
 	 $("#map").attr("src","maps/"+mapa+".png");


      $("#flr").change(function() {
   var mapa=$("#bld option:selected").attr("title")+"_"+$("#flr").val(); 
 	 $("#map").attr("src","maps/"+mapa+".png");
});

 $("#bld").change(function() {
   var mapa=$("#bld option:selected").attr("title")+"_"+$("#flr").val(); 
 	 $("#map").attr("src","maps/"+mapa+".png");
});

 $("#ico").change(function() {
   var ikona=$("#ico option:selected").attr("title"); 
 	 $("#thumb").attr("src","icon/thumbnails/"+ikona);
});


$('#map').click(function(e) {
    var offset = $(this).offset();
    var scrtop = $(window).scrollTop();
    var scrleft =$(window).scrollLeft();
    $("#loc_x").attr("value",e.clientX - offset.left + scrleft);
    $("#loc_y").attr("value",e.clientY - offset.top + scrtop);
    $("#cross").css({"top": e.clientY + scrtop - 7, "left": e.clientX + scrleft - 7});
  });

       
});



</script>
 
 
<?php
if  ($_GET['a']=="seznam") 
  {
     $dotaz=mysql_query("SELECT id,mac,lastseen,active FROM sensors WHERE id>0 ORDER BY mac ASC;");
     for ($i=0;$i<mysql_num_rows($dotaz);$i++) {
     $sensor=mysql_fetch_row($dotaz); 
     
     if($sensor[3]=="1"){$iko='<img src="images/ano.png" alt="ano" />';} else {$iko='<img src="images/ne.png" alt="ne" />';}
     $seznam.='<tr class="barvi"><td><strong>0x'.$sensor[1].'</strong></td>
     <td style="text-align:center;">'.$iko.'</td><td>'.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $sensor[2]).'</td></tr>';
     };
  
     $nadpis="Seznam snímačů";
     $obsah='
     <table>
     <tr><td>MAC snímače</td><td>Aktivní</td><td>Poslední ohlášení snímače</td></tr>
     '.$seznam.'
     </table>
     
     ';
       
  }
elseif  ($_GET['a']=="aktivni") 
  {
     $dotaz=mysql_query("SELECT id,mac,lastseen,active FROM sensors WHERE active=1 ORDER BY lastseen DESC;");
     for ($i=0;$i<mysql_num_rows($dotaz);$i++) {
     $sensor=mysql_fetch_row($dotaz); 
     
     if($sensor[3]=="1"){$iko='<img src="images/ano.png" alt="ano" />';} else {$iko='<img src="images/ne.png" alt="ne" />';}
     $seznam.='<tr class="barvi"><td><strong>0x'.$sensor[1].'</strong></td>
     <td style="text-align:center;">'.$iko.'</td><td>'.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $sensor[2]).'</td></tr>';
     };
  
     $nadpis="Seznam aktivních snímačů";
     $obsah='
     <table>
     <tr><td>MAC snímače</td><td>Aktivní</td><td>Poslední ohlášení snímače</td></tr>
     '.$seznam.'
     </table>
     
     ';
       
  }
elseif  ($_GET['a']=="neasociovane") 
  {
     
     $dotaz=mysql_query("SELECT sensors.mac,count(temp.id),sensors.id FROM temp,sensors WHERE sensors.id=temp.sensor GROUP BY sensors.mac ORDER BY mac ASC;");
     for ($i=0;$i<mysql_num_rows($dotaz);$i++) {
     $sensor=mysql_fetch_row($dotaz); 
     $seznam.='<tr class="barvi"><td><strong>0x'.$sensor[0].'</strong></td>
     <td>'.$sensor[1].'</td><td><a href="asociace.php?a=pridat&sens='.$sensor[2].'"><img src="images/pridat.png" alt="Asociovat" style="vertical-align:middle;" />Asociovat</a></td></tr>';
     };
  
     $nadpis="Seznam neasociovaných snímačů";
     $obsah='
     <table>
     <tr><td>MAC snímače</td><td>Přijatých paketů</td></tr>
     '.$seznam.'
     </table>
     
     ';
       
  }

else 
  {  $nadpis="Snímače";
     
       header("Location: snimace.php?a=seznam");
     
  };
?>

          
            <div class="post">				
              <h2 class="title">
                <a href="#"><?php echo $nadpis; ?></a>
              </h2>				
              
              <div class="entry">		
                <?php echo $obsah; ?>     
              </div>			
            </div>
            
            
 <!-- end snimace.php -->